Bug 432183 - Postlet is not working with the icedtea java plugin
Postlet is not working with the icedtea java plugin
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: java-1.6.0-openjdk (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Deepak Bhole
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: F11Target
  Show dependency treegraph
 
Reported: 2008-02-09 09:03 EST by Nicolas Mailhot
Modified: 2010-04-27 13:29 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-27 13:29:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2008-02-09 09:03:55 EST
Description of problem:

The floss upload applet postlet 

http://www.postlet.com/example/

is not working with

java-1.7.0-icedtea-plugin-1.7.0.0-0.24.b24.fc9.x86_64
Comment 1 Lillian Angel 2008-02-11 12:20:56 EST
GCJ PLUGIN: thread 0x9a025a0: NP_Initialize
gcjwebplugin.cc:1452: thread 0x9a025a0: Error: Invalid browser function table.
GCJ PLUGIN: thread 0x9a025a0: NP_Shutdown
GCJ PLUGIN: thread 0x9a025a0: NP_Shutdown return
GCJ PLUGIN: thread 0x9a025a0: NP_GetMIMEDescription
GCJ PLUGIN: thread 0x9a025a0: NP_GetMIMEDescription return
GCJ PLUGIN: thread 0x9a025a0: NP_GetValue
GCJ PLUGIN: thread 0x9a025a0: NP_GetValue: returning plugin name.
GCJ PLUGIN: thread 0x9a025a0: NP_GetValue return
GCJ PLUGIN: thread 0x9a025a0: NP_GetValue
GCJ PLUGIN: thread 0x9a025a0: NP_GetValue: returning plugin description.
GCJ PLUGIN: thread 0x9a025a0: NP_GetValue return
** Message: GetValue variable 1 (1)
** Message: GetValue variable 2 (2)
** Message: GetValue variable 1 (1)
** Message: GetValue variable 2 (2)
** Message: GetValue variable 1 (1)
** Message: GetValue variable 2 (2)
** Message: GetValue variable 1 (1)
** Message: GetValue variable 2 (2)
** Message: GetValue variable 1 (1)
** Message: GetValue variable 2 (2)
GCJ PLUGIN: thread 0x9a025a0: NP_Initialize
gcjwebplugin.cc:1452: thread 0x9a025a0: Error: Invalid browser function table.
Comment 2 Lillian Angel 2008-02-11 12:23:04 EST
fails here:

if (browserTable->size < sizeof (NPNetscapeFuncs))
    {
      PLUGIN_ERROR ("Invalid browser function table.");

      return NPERR_INVALID_FUNCTABLE_ERROR;
    }
Comment 3 Lillian Angel 2008-02-11 13:13:29 EST
Ultimately, this does not work because Postlet uses JavaScript
"You can now use Postlet via JavaScript. Just look at the source of this page to
see how"

This is being worked on at the moment.

Closing as a duplicate. 

*** This bug has been marked as a duplicate of 304021 ***
Comment 4 Nicolas Mailhot 2008-11-15 03:34:42 EST
It's been closed as duplicate of #304021, but #304021 has been closed stating this bug had not been fixed ⇒ reopening
Comment 5 Lillian Angel 2008-11-17 10:06:47 EST
dbhole stated: it does not work with with the Sun plugin either (appears to be bug in applet)
Comment 6 Nicolas Mailhot 2008-11-17 11:03:40 EST
It works with the Sun plugin in Windows. And besides, the source of the applet is available, so there's no reason not to find out why it's not working under Linux.

Or I guess we could just say to projects "use activex controls to upload files, nothing works under Linux anyway". postlet was about the only solution that seemed cross-platform for this.
Comment 7 Bug Zapper 2008-11-25 21:06:31 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Jon Stanley 2008-11-26 14:13:26 EST
Fixing version to align with rawhide again.  Sorry for the noise.
Comment 9 Deepak Bhole 2008-12-11 14:56:38 EST
The bug was closed because it is a bug in the application, not in the plugin. I have opened a bug on the project site:

http://sourceforge.net/forum/forum.php?thread_id=2675273&forum_id=553003

I'll keep this bz open for the time being. But if no one upstream fixes it, I cannot do anything on the plugin side.
Comment 10 Andrew Overholt 2009-04-13 08:57:27 EDT
I saw this bug in the F11Target list and thought I'd click around the Postlet site a bit.  My browser crashed with java-1.6.0-openjdk-plugin-1.6.0.0-15.b14.fc10.x86_64.
Comment 11 Bug Zapper 2009-06-09 05:27:09 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Omair Majid 2009-07-14 16:44:41 EDT
Using the fedora package, I can crash the browser by refreshing the page multiple times and then answering the security warning that pops up. But this has been fixed upstream: http://icedtea.classpath.org/hg/icedtea6/rev/d044933640b4
Comment 13 Bug Zapper 2010-04-27 07:54:40 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Deepak Bhole 2010-04-27 13:29:18 EDT
This works with the new plugin now.

Note You need to log in before you can comment on or make changes to this bug.